public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Chi-Thanh Christopher Nguyen" <chithanh@cs.tu-berlin.de>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] proj/x11:master commit in: dev-libs/weston/
Date: Sun, 25 Aug 2013 16:42:22 +0000 (UTC)	[thread overview]
Message-ID: <1377448945.605e97acb5da3492ce4e7b24445520071cfebdcd.chithead@gentoo> (raw)

commit:     605e97acb5da3492ce4e7b24445520071cfebdcd
Author:     Chi-Thanh Christopher Nguyen <chithanh <AT> gentoo <DOT> org>
AuthorDate: Sun Aug 25 16:42:25 2013 +0000
Commit:     Chi-Thanh Christopher Nguyen <chithanh <AT> cs <DOT> tu-berlin <DOT> de>
CommitDate: Sun Aug 25 16:42:25 2013 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/x11.git;a=commit;h=605e97ac

dev-libs/weston: Import ebuild changes from portage for bug #481364.

---
 dev-libs/weston/weston-9999.ebuild | 65 ++++++++++++++++++++++++--------------
 1 file changed, 42 insertions(+), 23 deletions(-)

diff --git a/dev-libs/weston/weston-9999.ebuild b/dev-libs/weston/weston-9999.ebuild
index 2dceef4..57aec7e 100644
--- a/dev-libs/weston/weston-9999.ebuild
+++ b/dev-libs/weston/weston-9999.ebuild
@@ -30,13 +30,10 @@ IUSE="colord +drm +egl editor examples fbdev gles2 headless +opengl rdp +resize-
 
 REQUIRED_USE="
 	drm? ( egl )
-	editor? ( examples )
 	egl? ( || ( gles2 opengl ) )
 	fbdev? ( drm )
 	gles2? ( !opengl )
-	rpi? ( gles2 )
 	test? ( X )
-	view? ( examples )
 	wayland-compositor? ( egl )
 "
 
@@ -66,12 +63,10 @@ RDEPEND="
 		media-libs/glu
 		media-libs/mesa[gles2]
 	)
-	examples? (
-		editor? ( x11-libs/pango )
-		view? (
-			app-text/poppler:=[cairo]
-			dev-libs/glib:2
-		)
+	editor? ( x11-libs/pango )
+	view? (
+		app-text/poppler:=[cairo]
+		dev-libs/glib:2
 	)
 	rdp? ( >=net-misc/freerdp-1.1.0_beta1_p20130710 )
 	rpi? (
@@ -98,7 +93,6 @@ DEPEND="${RDEPEND}
 	virtual/pkgconfig
 "
 
-
 src_prepare() {
 	if [[ ${PV} = 9999* ]]; then
 		eautoreconf
@@ -108,12 +102,21 @@ src_prepare() {
 src_configure() {
 	local myconf
 	if use examples || use gles2 || use test; then
-		myconf="--enable-simple-clients 
+		myconf="--enable-simple-clients
 			$(use_enable egl simple-egl-clients)"
 	else
-		myconf="--disable-simple-clients 
+		myconf="--disable-simple-clients
 			--disable-simple-egl-clients"
 	fi
+
+	if use gles2; then
+		myconf+=" --with-cairo=glesv2"
+	elif use opengl; then
+		myconf+=" --with-cairo=gl"
+	else
+		myconf+=" --with-cairo=image"
+	fi
+
 	econf \
 		$(use_enable fbdev fbdev-compositor) \
 		$(use_enable drm drm-compositor) \
@@ -125,7 +128,6 @@ src_configure() {
 		$(use_enable colord) \
 		$(use_enable egl) \
 		$(use_enable unwind libunwind) \
-		$(use_with gles2 cairo-glesv2) \
 		$(use_enable resize-optimization) \
 		$(use_enable suid setuid-install) \
 		$(use_enable tablet tablet-shell) \
@@ -148,17 +150,34 @@ src_install() {
 
 	readme.gentoo_src_install
 
-	cd "${BUILD_DIR}" || die
-	if use opengl && use egl; then
-		newbin clients/gears weston-gears
+	pushd clients || die
+
+	if use opengl && use egl && use !gles2; then
+		dobin weston-gears
+	fi
+	if use editor; then
+		dobin weston-editor
+	fi
+	if use view; then
+		dobin weston-view
 	fi
 	if use examples; then
-		use egl && newbin clients/simple-egl weston-simple-egl
-		use editor && newbin clients/editor weston-editor
-		use view && newbin clients/view weston-view
-		local i
-		for i in calibrator clickdot cliptest dnd eventdemo flower fullscreen image resizor simple-shm simple-touch smoke transformed; do
-			newbin "clients/${i}" "weston-${i}"
-		done
+		use egl && dobin weston-simple-egl
+		dobin \
+			weston-calibrator \
+			weston-clickdot \
+			weston-cliptest \
+			weston-dnd \
+			weston-eventdemo \
+			weston-flower \
+			weston-fullscreen \
+			weston-image \
+			weston-resizor \
+			weston-simple-shm \
+			weston-simple-touch \
+			weston-smoke \
+			weston-transformed
 	fi
+	popd
+
 }


             reply	other threads:[~2013-08-25 16:42 UTC|newest]

Thread overview: 35+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2013-08-25 16:42 Chi-Thanh Christopher Nguyen [this message]
  -- strict thread matches above, loose matches on Subject: below --
2015-03-24 14:19 [gentoo-commits] proj/x11:master commit in: dev-libs/weston/ Chí-Thanh Christopher Nguyễn
2014-05-21 16:42 Chi-Thanh Christopher Nguyen
2014-02-24 20:31 Chi-Thanh Christopher Nguyen
2014-01-30 12:29 Chi-Thanh Christopher Nguyen
2014-01-30 12:28 Chi-Thanh Christopher Nguyen
2014-01-30 12:28 Chi-Thanh Christopher Nguyen
2014-01-26 17:04 David Heidelberger
2014-01-26 16:47 David Heidelberger
2013-12-20 14:05 David Heidelberger
2013-11-23 20:26 David Heidelberger
2013-11-17  0:47 David Heidelberger
2013-11-02 14:21 David Heidelberger
2013-10-21 19:18 David Heidelberger
2013-07-29 14:49 Chi-Thanh Christopher Nguyen
2013-07-18 12:40 Nikoli
2013-07-18 10:48 Nikoli
2013-07-17 16:54 Nikoli
2013-07-16 11:21 Nikoli
2013-07-14 20:57 Chi-Thanh Christopher Nguyen
2013-06-09 12:22 David Heidelberger
2013-05-24 21:29 David Heidelberger
2013-05-24  1:03 David Heidelberger
2013-05-24  0:54 David Heidelberger
2013-05-24  0:24 David Heidelberger
2013-05-23 21:47 David Heidelberger
2013-05-23 20:12 David Heidelberger
2013-05-16  0:43 David Heidelberger
2013-04-16 16:14 David Heidelberger
2013-02-05  7:06 Matt Turner
2012-09-07 11:35 David Heidelberger
2012-08-11 16:25 Matt Turner
2012-06-18 21:36 Chi-Thanh Christopher Nguyen
2012-02-11 23:58 James Cloos
2012-02-11 23:53 James Cloos

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1377448945.605e97acb5da3492ce4e7b24445520071cfebdcd.chithead@gentoo \
    --to=chithanh@cs.tu-berlin.de \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox